#
# spec file for package mirrma (Version 1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         mirrma
Copyright:    1995 by Holger Schemel.
Group:        X11/Games/Video
Provides:     mirrormagic 
Autoreqprov:  on
Version:      1.3
Release:      409
Summary:      Arcade style game for color X11 with stereo sounds
Source: mirrormagic-1.3.tar.gz
Patch: mirrormagic-1.3.dif

%description
A game like "Mindbender" (Amiga) or "Deflektor" (Atari ST).
This is a port of a program I wrote for the Amiga in 1989.
Comes with full source code.

Authors:
--------
    Holger Schemel <aeglos@valinor.owl.de>

SuSE series: fun

%prep
%setup -n mirrormagic-1.3
%patch

%build
make all

%install
touch RAY.names
LIBDIR=/usr/lib/mirrormagic
SCOREDIR=/var/games/mirrormagic
install -g root -o root -d $LIBDIR
install -g root -o root -d $LIBDIR/graphics
install -g root -o root -m 644 graphics/* $LIBDIR/graphics
install -g root -o root -d $LIBDIR/sounds
install -g root -o root -m 644 sounds/* $LIBDIR/sounds
install -g game -o root -m 2755 mirrormagic /usr/X11R6/bin
#	chmod +s /usr/X11R6/bin/mirrormagic
install -g game -o root -d $SCOREDIR	
install -g game -o root -m 664 RAY.level RAY.names $SCOREDIR

%files
%doc mirrormagic.lsm CHANGES COPYRIGHT DISCLAIMER INSTALLATION README
%dir /usr/lib/mirrormagic
%dir /usr/lib/mirrormagic/graphics
%dir /usr/lib/mirrormagic/sounds
%dir /var/games/mirrormagic
/usr/X11R6/bin/mirrormagic
/usr/lib/mirrormagic/graphics/DoubleRayDoor.xpm.gz
/usr/lib/mirrormagic/graphics/DoubleRayDoorMaske.xbm
/usr/lib/mirrormagic/graphics/DoubleRayFont.xpm.gz
/usr/lib/mirrormagic/graphics/DoubleRayFont2.xpm.gz
/usr/lib/mirrormagic/graphics/DoubleRayFont2Maske.xbm
/usr/lib/mirrormagic/graphics/DoubleRayFontMaske.xbm
/usr/lib/mirrormagic/graphics/DoubleRayMaskeF.xbm
/usr/lib/mirrormagic/graphics/DoubleRayScreen.xpm.gz
/usr/lib/mirrormagic/graphics/DoubleRayScreenMaske.xbm
/usr/lib/mirrormagic/graphics/mirrormagic_icon.xbm
/usr/lib/mirrormagic/graphics/mirrormagic_iconmask.xbm
/usr/lib/mirrormagic/sounds/amoebe.8svx
/usr/lib/mirrormagic/sounds/antigrav.8svx
/usr/lib/mirrormagic/sounds/autsch.8svx
/usr/lib/mirrormagic/sounds/bong.8svx
/usr/lib/mirrormagic/sounds/fuel.8svx
/usr/lib/mirrormagic/sounds/halloffame.8svx
/usr/lib/mirrormagic/sounds/holz.8svx
/usr/lib/mirrormagic/sounds/hui.8svx
/usr/lib/mirrormagic/sounds/kabumm.8svx
/usr/lib/mirrormagic/sounds/kink.8svx
/usr/lib/mirrormagic/sounds/kling.8svx
/usr/lib/mirrormagic/sounds/laser.8svx
/usr/lib/mirrormagic/sounds/oeffnen.8svx
/usr/lib/mirrormagic/sounds/quiek.8svx
/usr/lib/mirrormagic/sounds/rhythmloop.8svx
/usr/lib/mirrormagic/sounds/roaaar.8svx
/usr/lib/mirrormagic/sounds/sirr.8svx
/usr/lib/mirrormagic/sounds/slurp.8svx
/usr/lib/mirrormagic/sounds/tyger.8svx
/usr/lib/mirrormagic/sounds/voyager.8svx
/usr/lib/mirrormagic/sounds/warnton.8svx
/usr/lib/mirrormagic/sounds/whoosh.8svx
%config /var/games/mirrormagic/RAY.level
%config /var/games/mirrormagic/RAY.names

%changelog -n mirrma
* Tue Apr 10 2001 - uli@suse.de
- fixed Group tag
* Tue Jun 06 2000 - ro@suse.de
- doc relocation
- mark score-files as config
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 06 1997 - hf@suse.de
  The binary mirrormagic has the sgid game
  for edit the highscore and name files.
  Version 1.3
  Nur Anpassungen im Makefile vorgenommen.
